<?php
/*
Plugin Name: Send to vybrali.sme.sk For Wordpress
Plugin URI: http://www.lacike.sk/
Description: Adds a button which lets users "Send page" to vybrali.sme.sk
Version: 1.0.0
Author: lacike
Author URI: http://www.lacike.sk
*/

function vybralisme_options() {
	add_menu_page('Send to vybrali.sme.sk', 'Vybrali sme.sk', 8, basename(__FILE__), 'vybralisme_options_page');
	add_submenu_page(basename(__FILE__), 'Settings', 'Settings', 8, basename(__FILE__), 'vybralisme_options_page');
    
}

/**
* Generate the image button
*/
function vybralisme_generate_image_button() {
	// build up the outer style
	
	$button  = '<div id="vybralisme-root"></div>';
	$button .= '<span class="" style="float: left; width: 100px; height: 30px;">';
  $button .= '<a href="http://vybrali.sme.sk/submit.php?url=' . urlencode(get_permalink()) . '"><img src="http://blog.sme.sk/blog/3/61630/tlacitko.gif" alt="pošli na vybrali.sme.sk" border="0" width="80px" height="15px" /></a>';
	$button .= '</span>';

	// return the code
  return $button;
}

/**
* Generates the text button
*/
function vybralisme_generate_text_button() {

	$button  = '<span class="" style="float: left; width: 100px; height: 30px;">';
  $button .= '<a href="http://vybrali.sme.sk/submit.php?url=' . urlencode(get_permalink()) . '"><img src="http://zena.sme.sk/storm/imgs/toolbar/doasdf_c.gif" alt="pošli na vybrali.sme.sk" border="0" width="80px" height="15px" /> '.get_option('vybralisme_text').'</a>';
	$button .= '</span>';

  return $button;
}

/**
* Gets run when the content is loaded in the loop
*/
function vybralisme_update($content) {

    global $post;

    // add the manual option
    if (get_option('vybralisme_where') == 'manual') {
        return $content;
	}
    // is it a page
    if (get_option('vybralisme_display_page') == null && is_page()) {
        return $content;
    }
	// are we on the front page
    if (get_option('vybralisme_display_front') == null && is_home()) {
        return $content;
    }
	// are we in a feed
    if (is_feed()) {
		$button = vybralisme_generate_text_button();
		$where = 'vybralisme_rss_where';
    } else {
		$button = vybralisme_generate_image_button();
		$where = 'vybralisme_where';
	}
	// are we displaying in a feed
	if (is_feed() && get_option('vybralisme_display_rss') == null) {
		return $content;
	}

	// are we just using the shortcode
	if (get_option($where) == 'shortcode') {
		return str_replace('[vybralismebutton]', $button, $content);
	} else {
		// if we have switched the button off
		if (get_post_meta($post->ID, 'vybralismebutton') == null) {
			if (get_option($where) == 'beforeandafter') {
				// adding it before and after
				return $button . $content . $button;
			} else if (get_option($where) == 'before') {
				// just before
				return $button . $content;
			} else {
				// just after
				return $content . $button;
			}
		} else {
			// not at all
			return $content;
		}
	}
}

// Manual output
function vybralismebutton() {
    if (get_option('vybralisme_where') == 'manual') {
        return vybralisme_generate_image_button();
    } else {
        return false;
    }
}

// Remove the filter excerpts
function vybralisme_remove_filter($content) {
	if (!is_feed()) {
    	remove_action('the_content', 'vybralisme_update');
	}
    return $content;
}



function vybralisme_options_page() {
?>
    <div class="wrap">
    <div class="icon32" id="icon-options-general"><br/></div><h2>Settings for Vybrali sme.sk Integration</h2>
    <p>This plugin will install the Vybrali sme.sk button on each of your blog posts.
    It can be easily styled in your blog posts by modifying the styling field below.
    </p>
    <form method="post" action="options.php">
    <?php

        if(function_exists('settings_fields')){
            settings_fields('tm-options');
        } else {
            wp_nonce_field('update-options');
            ?>
            <input type="hidden" name="action" value="update" />
            <input type="hidden" name="page_options" value="vybralisme_where,vybralisme_version,vybralisme_display_page,vybralisme_display_front,vybralisme_display_rss,vybralisme_display_feed,vybralisme_url_shortner,vybralisme_space,vybralisme_color" />
            <?php
        }
    ?>
        <table class="form-table">
            <tr>
	            <tr>
	                <th scope="row" valign="top">
	                    Display
	                </th>
	                <td>
	                    <input type="checkbox" value="1" <?php if (get_option('vybralisme_display_page') == '1') echo 'checked="checked"'; ?> name="vybralisme_display_page" id="vybralisme_display_page" group="vybralisme_display"/>
	                    <label for="vybralisme_display_page">Display the button on pages</label>
	                    <br/>
	                    <input type="checkbox" value="1" <?php if (get_option('vybralisme_display_front') == '1') echo 'checked="checked"'; ?> name="vybralisme_display_front" id="vybralisme_display_front" group="vybralisme_display"/>
	                    <label for="vybralisme_display_front">Display the button on the front page (home)</label>
	                   

	                </td>
	            </tr>
                <th scope="row" valign="top">
                    Position
                </th>
                <td>
                	<select name="vybralisme_where">
                		<option <?php if (get_option('vybralisme_where') == 'before') echo 'selected="selected"'; ?> value="before">Before</option>
                		<option <?php if (get_option('vybralisme_where') == 'after') echo 'selected="selected"'; ?> value="after">After</option>
                		<option <?php if (get_option('vybralisme_where') == 'beforeandafter') echo 'selected="selected"'; ?> value="beforeandafter">Before and After</option>
                		<option <?php if (get_option('vybralisme_where') == 'shortcode') echo 'selected="selected"'; ?> value="shortcode">Shortcode [vybralismebutton]</option>
                		<option <?php if (get_option('vybralisme_where') == 'manual') echo 'selected="selected"'; ?> value="manual">Manual</option>
                	</select>
                </td>
              </tr>

              <tr>
                <th scope="row" valign="top">
                    Button Text 
                </th>
                <td>
                	<input type="text" name="vybralisme_text" value="<?php echo htmlspecialchars(get_option('vybralisme_text')); ?>"/>
                </td>
              </tr>
        </table>
        <p class="submit">
            <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
        </p>
    </form>
    </div>
<?php
}



// register these variables 4 admin page
function vybralisme_init(){
    if(function_exists('register_setting')){
        register_setting('tm-options', 'vybralisme_display_page');
        register_setting('tm-options', 'vybralisme_display_front');
        register_setting('tm-options', 'vybralisme_display_rss');
        register_setting('tm-options', 'vybralisme_version');
        register_setting('tm-options', 'vybralisme_where');
        register_setting('tm-options', 'vybralisme_rss_where');
        register_setting('tm-options', 'vybralisme_text');

    }
}

// Only all the admin options if the user is an admin
if(is_admin()){
    add_action('admin_menu', 'vybralisme_options');
    add_action('admin_init', 'vybralisme_init');
}

// Set the default options when the plugin is activated
function vybralisme_activate(){
    add_option('vybralisme_where', 'before');
    add_option('vybralisme_rss_where', 'before');
    add_option('vybralisme_display_page', '1');
    add_option('vybralisme_display_front', '1');
    add_option('vybralisme_display_rss', '0');
    add_option('vybralisme_text', 'pošli na vybrali.sme.sk');
}

add_filter('the_content', 'vybralisme_update', 8);
add_filter('get_the_excerpt', 'vybralisme_remove_filter', 9);


//add_action('admin_print_scripts', 'vybralisme_js_admin_header');
add_action('wp_ajax_vybralisme_ajax_elev_lookup', 'vybralisme_ajax_elev_lookup');



register_activation_hook( __FILE__, 'vybralisme_activate');
